Eclipse Platform Release 3.7

## org.eclipse.ui.texteditor
Class PropagatingFontFieldEditor

    java.lang.Object
      org.eclipse.jface.preference.FieldEditor
          org.eclipse.jface.preference.FontFieldEditor
              org.eclipse.jface.text.PropagatingFontFieldEditor
                  org.eclipse.ui.texteditor.WorkbenchChainedTextFontFieldEditor
                      org.eclipse.ui.texteditor.PropagatingFontFieldEditor

Deprecated. no longer supported

    public final class PropagatingFontFieldEditor

extends WorkbenchChainedTextFontFieldEditor

Field Summary

Fields inherited from class org.eclipse.jface.preference.FieldEditor
`HORIZONTAL_GAP, IS_VALID, VALUE`

Constructor Summary
`PropagatingFontFieldEditor(String name, String labelText, Composite parent)` Deprecated. no longer supported

Method Summary

Methods inherited from class org.eclipse.ui.texteditor.WorkbenchChainedTextFontFieldEditor
`startPropagate`

Methods inherited from class org.eclipse.jface.text.PropagatingFontFieldEditor
`doLoad, doLoadDefault, startPropagate`

Methods inherited from class org.eclipse.jface.preference.FontFieldEditor
`adjustForNumColumns, applyFont, doFillIntoGrid, doStore, getChangeControl, getNumberOfControls, getPreferredPreviewHeight, getPreviewControl, getValueControl, setChangeButtonText, setEnabled, setToDefault`

Methods inherited from class org.eclipse.jface.preference.FieldEditor

`checkParent, clearErrorMessage, clearMessage, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, createControl, dispose, fillIntoGrid, fireStateChanged, fireValueChanged, getFieldEditorFontName, getLabelControl, getLabelControl, getLabelText, getPage, getPreferenceName, getPreferencePage, getPreferenceStore, init, isValid, load, loadDefault, presentsDefaultValue, refreshValidState, setButtonLayoutData, setFocus, setLabelText, setPage, setPreferenceName, setPreferencePage, setPreferenceStore, setPresentsDefaultValue, setPropertyChangeListener, showErrorMessage, showMessage, store`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropagatingFontFieldEditor

    public PropagatingFontFieldEditor(String name,
                                      String labelText,
                                      Composite parent)

  Deprecated. no longer supported

  Creates a new propagating font field editor with the given parameters.

  Parameters:
    `name` - the name
    `labelText` - the label
    `parent` - the parent control

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.